Summary:	An advanced molecular editor for chemical purposes
Name:		avogadro
Version:	1.2.0
Release:	5
License:	GPL v2
Group:		Applications/Editors
Source0:	http://downloads.sourceforge.net/avogadro/%{name}-%{version}.tar.gz
# Source0-md5:	3206068fc27bd3b717c568ee72f1e5ec
Patch0:		%{name}-linguist.patch
Patch1:		%{name}-cmake.patch
Patch2:		%{name}-moc-boost.patch
Patch3:		gcc6.patch
Patch4:		python-install.patch
URL:		http://avogadro.openmolecules.net/
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	boost-devel >= 1.35
BuildRequires:	boost-python-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-utils
BuildRequires:	eigen >= 1:2.0.12
BuildRequires:	glew-devel >= 1.5.0
BuildRequires:	openbabel-devel >= 2.2.2
BuildRequires:	pkgconfig
BuildRequires:	python-numpy-devel
BuildRequires:	python-sip-devel
BuildRequires:	qt4-build >= 4.8.2-5
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.8.2-5
BuildRequires:	sip
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An advanced molecular editor designed for cross-platform use in
computational chemistry, molecular modeling, bioinformatics, materials
science, and related areas, which offers flexible rendering and a
powerful plugin architecture.

%package libs
Summary:	Shared libraries for Avogadro
Group:		Libraries

%description libs
This package contains the shared libraries for the molecular editor
Avogadro.

%package devel
Summary:	Development files for Avogadro
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glew-devel

%description devel
This package contains files to develop applications using Avogadros
libraries.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
install -d build
cd build
%cmake \
	-DENABLE_GLSL=ON \
	-DENABLE_PYTHON=ON \
	-DENABLE_UPDATE_CHECKER=OFF \
	-DCMAKE_BUILD_TYPE=Release \
	..

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/qt4/mkspecs/features

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" != "lib"
%{__mv} $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}/libmsym.so
%endif

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/avopkg
%attr(755,root,root) %{_bindir}/qube
%attr(755,root,root) %{_libdir}/libmsym.so
%{_datadir}/%{name}
%{_pixmapsdir}/%{name}-icon.png
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/avogadro.1*
%{_mandir}/man1/avopkg.1*

%files devel
%defattr(644,root,root,755)
%{_datadir}/lib%{name}
%{_includedir}/%{name}
%attr(755,root,root) %{_libdir}/libavogadro.so
%attr(755,root,root) %{_libdir}/libavogadro_OpenQube.so
%{_datadir}/qt4/mkspecs/features/avogadro.prf
%{_pkgconfigdir}/avogadro.pc

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/Avogadro.so
%{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/*.so.*
%changelog
* Tue Jun 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/avogadro.git;a=log;h=master

* Tue Jun 20 2017 Jan Rękorajski <baggins@pld-linux.org> e910d96
- release 5 (by relup.sh)

* Fri Apr 14 2017 Jan Rękorajski <baggins@pld-linux.org> 1b4a3b9
- only move libmsym if needed
- rel 4

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 8678fa6
- fix so libs attrs
- rel 3

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 0d9da5e
- fix install of helper lib
- rel 2

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> cbab020
- rel 1

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 43ce3cb
- up to 1.2.0

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 730ab34
- boost rebuild
- release 17 (by relup.sh)

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> da0ef5d
- fix python module install
- rel 16

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 75b1c1f
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a80c455
- release 14 (by relup.sh)

* Tue Nov 17 2015 Jan Rękorajski <baggins@pld-linux.org> d7d7e7d
- release 13 (by relup.sh)

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> 9016e9f
- release 12 (by relup.sh)

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> c7f1d60
- link with X11 for missing XInitThreads
- rel 11

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> 8c25334
- rebuild with boost 1.57.0
- release 10 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 39c1482
- rebuild with boost 1.56.0
- release 9 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 1eda66b
- - rebuild with boost 1.55.0
- release 8 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 45a6c34
- - rebuild with boost 1.55.0
- release 7 (by relup.sh)

* Mon Jan 20 2014 Jan Rękorajski <baggins@pld-linux.org> 364d0ee
- release 6 (by relup.sh)

* Fri Jul 26 2013 Jan Rękorajski <baggins@pld-linux.org> 2933895
- prevent moc from tripping over BOOST_JOIN
- rel 5

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d5d1ad
- release 4 (by relup.sh)

